ldc (1:1.40.0-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Import NMU changes and 1.40 version into git
  * Revert ldc | gdmd in control file, actually
    ldc is not installable anymore in sid due to llvm-16 removal.

  [ Zixing Liu ]
  * New upstream version 1.40.0
    - d/patches: remove patches already merged by the upstream
    - d/control: update sover to 110
  * New upstream version 1.39.0
    - d/p/01_no-zlib-embed.patch: use upstream's patch to de-bundle zlib library
    - d/p/10_add_llvm_19_support.patch: backport an upstream patch to
      support LLVM 19
    - d/patches: refresh patches
    - d/libphobos2-*.install: update sover to 109
  * d/control: update to use LLVM 19 (Closes: #1084285)
  * d/control: also build on mips64el
  * d/rules: build and install both static and shared libraries in one step
  * d/rules: specify the cmake option to use system zlib
  * d/rules: do not run tests if nocheck is specified
  * d/libphobos2-*.install: remove execution bits
  * New upstream version: 1.38.0
    - Supports LLVM 18.1
    - Remove Pass-NDEBUG-through-LDC_CXXFLAGS.patch (merged upstream)
  * Build on Loong64 (Thanks to Dandan Zhang, Closes: #1069718)
  * Allow bootstrapping LDC using previous version of LDC
  * Run very basic unit tests after the build
  * Explicitly set DWARF v4 to make DWZ happy (also fixes the Lintian warning)
  * Add lld-18 and llvm-18-linker-tools as recommended packages for ldc
  * Update d/copyright
  * Update Debian standard version to v4.7.0

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 19 Dec 2024 14:32:40 -0700

ldc (1:1.36.0-2.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * add build support for loongarch64 (Closes: #1069718)
    - cherry-pick upstream ldc patches:
      - 0001-druntime-adjust-LoongArch64-definitions.patch
      - 0002-ABI-Fix-calling-convention-for-LoongArch.patch
      - 0003-ABI-Update-spec-url-for-LoongArch.patch
      - 0004-druntime-Remove-unused-stack-slot-to-end-exactly-on-.patch
      - 0005-druntime-Fix-backtraces-in-Fibers-for-LoongArch.patch
    - cherry-pick upstream phobos patches:
      - 0001-Add-std-math-hardware.d-support-for-LoongArch64.patch
      - 0002-std-math-hardware.d-use-an-alternative-register-nami.patch
      - 0003-std-math-hardware.d-Fix-compile-error-for-LoongArch.patch
      - 0004-std.math.hardware-Fix-LoongArch-support-73.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Sep 2024 19:13:00 +0200

ldc (1:1.36.0-2) unstable; urgency=medium

  * Only use 64-bit time on armhf
    - i386 is to remain on 32-bit time

 -- Matthias Klumpp <mak@debian.org>  Mon, 19 Feb 2024 23:46:42 +0100

ldc (1:1.36.0-1) unstable; urgency=medium

  * New upstream version: 1.36.0
    - Supports LLVM 17 (Closes: #1056110)
  * Add Pass-NDEBUG-through-LDC_CXXFLAGS.patch
    - Fixes linker failure for LDC tools with current LLVM
  * Build on riscv64 (thanks to Bo YU, Closes: #1021584)
  * LDC should already work fine with 64-bit time on 32-bit
    architectures, just to be on the safe side though, enforce
    time64,lfs on 32-bit architectures for C code as well (Closes: #1064166)
  * Update d/copyright
  * Update dh version to 13
  * Update build-deps to switch away from transitional packages

 -- Matthias Klumpp <mak@debian.org>  Sun, 18 Feb 2024 20:24:16 +0100

ldc (1:1.35.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup bash-completion installation file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jan 2024 19:11:42 +0100

ldc (1:1.35.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add bash-completion dependency to let cmake helper do the right job
    (Closes: #1055515)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2023 16:15:22 +0100

ldc (1:1.35.0-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version 1.35.0
  * Refresh patches
  * Adjust package names for new Phobos ABI
  * Require LLVM 16.x (Closes: #1051863)

  [ Janitor ]
  * Remove unnecessary constraints

 -- Matthias Klumpp <mak@debian.org>  Sat, 04 Nov 2023 18:40:54 +0100

ldc (1:1.30.0-1) unstable; urgency=medium

  * New upstream version: 1.30.0
  * Adjust for Phobos version bump
  * Drop riscv64 builds (Closes: #1012181)
  * Bump LLVM dependency
  * Drop normalize-target-triplets.patch: Applied upstream
  * Update d/copyright

 -- Matthias Klumpp <mak@debian.org>  Fri, 12 Aug 2022 20:28:55 +0200

ldc (1:1.29.0-2) unstable; urgency=medium

  * Enable experimental riscv64 builds
  * Add normalize-target-triplets.patch
    - Fixes builds on 32bit architectures (Closes: #1010281)

 -- Matthias Klumpp <mak@debian.org>  Thu, 28 Apr 2022 22:08:21 +0200

ldc (1:1.29.0-1) unstable; urgency=medium

  * Update phobos library version
  * New upstream version: 1.29.0
    - Now works with LLVM 13 & 14 (Closes: #1000919)
  * Move -lz to the end of the linker command line (Closes: #920410)
  * Refresh patches

 -- Matthias Klumpp <mak@debian.org>  Sun, 24 Apr 2022 22:32:50 +0200

ldc (1:1.28.1-1) unstable; urgency=medium

  * New upstream version: 1.28.1

 -- Matthias Klumpp <mak@debian.org>  Mon, 21 Feb 2022 10:24:28 +0100

ldc (1:1.28.0-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules, d/*.install: disable LDC_DYNAMIC_COMPILE
    and thereby -jit.so libraries (Closes: #1000431, #997759)

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Dec 2021 19:45:32 +0100

ldc (1:1.28.0-1) unstable; urgency=medium

  * New upstream version: 1.28.0
  * Refresh patches
  * Adjust Phobos library package name for SONAME update

 -- Matthias Klumpp <mak@debian.org>  Sun, 07 Nov 2021 17:08:12 +0100

ldc (1:1.24.0-2) unstable; urgency=medium

  * Clear DFLAGS before building (Closes: #980686)
    - dpkg started to set "-frelease", which is automatically read by
      ldmd2 and will lead to build failures as ldmd2 doesn't understand
      GCC/GDC flags (it's "-release" for this compiler...).
      Setting DFLAGS to emptystring however will mess up gdmd, so since
      nobody seems to parse this right, we just ensure the variable isn't
      set.
  * Drop static-PIC.patch: Seems to be no longer needed and will also cause
    the build to fail now due to and unrelated cmake issue.

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Feb 2021 23:08:20 +0100

ldc (1:1.24.0-1) unstable; urgency=medium

  * New upstream version: 1.24.0
  * Refresh all patches
  * Update d/copyright
  * Adjust library package name for SONAME change

 -- Matthias Klumpp <mak@debian.org>  Sun, 01 Nov 2020 10:52:24 +0100

ldc (1:1.21.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries
    0.13.0alpha2-1, 0.13.0alpha1-1

  [ Matthias Klumpp ]
  * New upstream version: 1.21.0
  * Phobos package version bump

 -- Matthias Klumpp <mak@debian.org>  Mon, 11 May 2020 16:20:58 +0200

ldc (1:1.20.1-1) unstable; urgency=medium

  * New upstream version: 1.20.1
    - This is a bugfix release resolving a regression which created
      an incorrect module constructor execution order.
      See https://github.com/ldc-developers/ldc/issues/3346

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Mar 2020 20:14:24 +0100

ldc (1:1.20.0-1) unstable; urgency=medium

  * New upstream version: 1.20.0
  * Drop pass-d-compiler-flags.patch: No longer needed
  * Refresh patches
  * Bump standards version: No changes needed
  * Mark rules as not requiring root
  * Adjust library package name to new SONAME

 -- Matthias Klumpp <mak@debian.org>  Sat, 15 Feb 2020 19:25:32 +0100

ldc (1:1.18.0-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Dec 2019 17:46:00 +0100

ldc (1:1.18.0-1) unstable; urgency=medium

  * New upstream version: 1.18.0
  * Depend on default LLVM dev packages
  * Refresh patches
  * Fix d/watch to download the complete release tarball
  * Update package names for new runtime version
  * d/rules: Remove empty dir

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Dec 2019 22:40:24 +0100

ldc (1:1.17.0-2) unstable; urgency=medium

  * Don't try to disable NEON in GDC-based bootstrap phase
    - This may fix the armhf build
  * Reset build architectures back to the ones LDC supports

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Sep 2019 20:25:10 +0200

ldc (1:1.17.0-1) unstable; urgency=medium

  * New upstream version: 1.17.0
  * Refresh all patches
  * Use the GNU D Compiler (GDC) for bootstrapping instead of the old
    LDC ltsmaster branch. This simplifies the bootstrapping
    and LDC build process a lot and also allows building with more recent
    LLVM versions.
    This also means in order to build this package, a working GDC
    compiler is required first.
  * Adjust phobos library package name
  * Switch package to arch:any
    - This allows us to find out on which architectures the GDC-bootstrapped
      LDC will actually build.

 -- Matthias Klumpp <mak@debian.org>  Sat, 31 Aug 2019 18:06:14 +0200

ldc (1:1.16.0-1) unstable; urgency=medium

  * New upstream version: 1.16.0
    - Builds with GCC >= 9 (Closes: #925730)
  * Record new ltsmaster commit
  * Don't remove zlib from bootstrap compiler, simplify zlib-link patch
  * Bump standards and dh versions (No changes needed)
  * Update runtime library package name
  * Don't bootstrap LDC, build with an older packaged version
    - Recommended by upstream in
      <https://github.com/ldc-developers/ldc/issues/3138>
      In the long run we will bootstrap with GDC instead.
  * Build with LLVM 8 (CLoses: #912789)
    - Made possible by not bootstrapping with the C++ version first
  * Don't run dh_dwz for now, dwz strips too much
  * Don't make LDC add a default rpath to binaries
  * Even when not bootstrapping, first build a temporary LDC
    to build the released one

 -- Matthias Klumpp <mak@debian.org>  Sun, 18 Aug 2019 12:14:26 +0200

ldc (1:1.12.0-1) unstable; urgency=medium

  * New upstream version: 1.12.0
  * Rebuild LDC with its to-be-released version again when
    bootstrapping, to ensure the released LDC was built with itself.
  * Update shared library package SONAME
  * Update patches

 -- Matthias Klumpp <mak@debian.org>  Sat, 20 Oct 2018 18:24:40 +0200

ldc (1:1.11.0-2) unstable; urgency=medium

  * Remove ppc64 and ppc64el from supported architecture list
    - See https://github.com/ldc-developers/ldc/issues/2824 for the discussion
      and upstream comment on this.
  * Conflict with old phobos library again to make transition easier

 -- Matthias Klumpp <mak@debian.org>  Sat, 08 Sep 2018 19:12:26 +0200

ldc (1:1.11.0-1) unstable; urgency=medium

  * New upstream version: 1.11.0
    - Now supports arm64, more testing is needed though (Closes: #791976)
  * Drop bootstrap-pic-default.patch: Applied upstream
  * Refresh & adjust patches
  * Record packaged ltsmaster commit in d/ldc-ltsmaster-commit.txt
  * Document new-release packaging workflow
  * Bump standards version: No changes needed
  * Update library package name
  * Update package descriptions
  * Build using LLVM 6 (Closes: #904278)

 -- Matthias Klumpp <mak@debian.org>  Sun, 19 Aug 2018 18:38:14 +0200

ldc (1:1.8.0-3) unstable; urgency=medium

  * Pass -V to dh_makeshlibs
  * Update maintainer address to tracker.d.o
  * bootstrap-no-zlib-embed.patch: Adjust to fix FTBFS with recent cmake

 -- Matthias Klumpp <mak@debian.org>  Sun, 06 May 2018 22:46:52 +0200

ldc (1:1.8.0-2) unstable; urgency=medium

  * Make libphobos2-ldc-shared-dev conflict with old libphobos2-ldc-dev

 -- Matthias Klumpp <mak@debian.org>  Sat, 31 Mar 2018 17:14:06 +0200

ldc (1:1.8.0-1) unstable; urgency=medium

  * New upstream version: 1.8.0
  * Update Vcs-* URLs for Salsa switch
  * d/watch: Tune to ignore the "CI" tag
  * Switch to dh compat level 11
  * Strip static libraries
  * Refresh patches
  * d/copyright: Use HTTPS URL
  * Update package names to new shared library names
    - Upstream now enforces a "-shared" suffix for all their shared
      libraries (phobos/druntime). While this is uncommon and a breaking
      change, we do not change this in Debian and follow upstream defaults.
      The Phobos packages have been renamed accordingly.
      See https://github.com/ldc-developers/ldc/pull/2443 for
      details on the change.

 -- Matthias Klumpp <mak@debian.org>  Mon, 12 Mar 2018 23:20:08 +0100

ldc (1:1.6.0-1) unstable; urgency=medium

  * New upstream version: 1.6.0
  * Update Phobos package name/contents for new runtime/stdlib
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Wed, 03 Jan 2018 21:28:00 +0100

ldc (1:1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
    - Fixes crash when compiling sambamba (Closes: #878837)
  * d/rules: Only set DEB_HOST_ARCH if not set already
  * Bump standards version: No changes needed
  * d/rules: Use dh_missing
  * Update Phobos library name and conflict with the old Phobos package
    - The new conflicts relationship should reduce the risk of breakage,
      since in the past it happened often that half of the archive was
      compiled against a new Phobos version, breaking all binaries still
      using the old version and loading a library compiled with the new one
      (or vice versa). This reduces library co-installability, but in this
      case of extreme ABI instability might be for the better, especially since
      D itself doesn't have a stable ABI.

 -- Matthias Klumpp <mak@debian.org>  Mon, 06 Nov 2017 22:48:02 +0100

ldc (1:1.4.0-3) unstable; urgency=medium

  * Add Fix-storage-of-captured-lazy-parameters.patch
    - Resolves an address boundary error, see LDC issue #2302
  * Unconditionally bootstrap again
    - Non-bootstrapped builds fail on ppc64el due to a relocation
      error. This will likely be fixed in the next LDC release.

 -- Matthias Klumpp <mak@debian.org>  Sat, 30 Sep 2017 15:36:18 +0200

ldc (1:1.4.0-2) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Don't enforce bootstrap
  * Fix section name for libphobos2
  * Update d/copyright (Closes: #876036)

  [ Gianfranco Costamagna ]
  * Remove some more embedded zlib references
  * Bootstrap with -DD_FLAGS_DEBUG=''

 -- Matthias Klumpp <mak@debian.org>  Fri, 29 Sep 2017 20:17:04 +0200

ldc (1:1.4.0-1) unstable; urgency=medium

  * New upstream version: 1.4.0
  * Build using LLVM 5 (Closes: #873420)
  * Update patches
  * Bump standards version: No changes needed
  * Update Phobos library name
  * Don't strip static libraries
    - Workaround for error during stripping, should
      be removed when the issue is resolved.
  * Document Lintian override
  * Enforce bootstrap

 -- Matthias Klumpp <mak@debian.org>  Sat, 16 Sep 2017 19:48:20 +0200

ldc (1:1.3.0-2) unstable; urgency=medium

  * Enforce automatic bootstrap
  * bootstrap-no-zlib-embed.patch: Ensure the bootstrap compiler does
    not embed zlib as well
  * Remove explicit manual ldconfig trigger

 -- Matthias Klumpp <mak@debian.org>  Wed, 30 Aug 2017 22:52:12 +0200

ldc (1:1.3.0-1) unstable; urgency=medium

  * default compression set to xz
  * New upstream version 1.3.0
  * build against llvm 4.0
  * policy set to 4.0.0
  * add ppc64 arch
  * bump ABI
  * refresh patches

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 17 Aug 2017 20:37:31 +0300

ldc (1:1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Don't bootstrap unconditionally anymore
  * Switch back to LLVM 3.9
  * Drop phobos-ldc-enable-shlibs.diff: Applied upstream
  * Add no-zlib-embed.patch: Don't embed zlib
  * Update Phobos package name for SONAME change

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Jun 2017 22:38:34 +0200

ldc (1:1.1.1-4) unstable; urgency=medium

  * Build with LLVM 4.0
  * Always switch to self-bootstrap if no system D compiler was found

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 May 2017 21:28:04 +0200

ldc (1:1.1.1-3) unstable; urgency=medium

  * Compile bootstrap-LDC without NEON on arm
  * Automatically bootstrap when the stage1 build-profile
    is active, regardless of whether bootstrapping was enabled manually.
  * Build with LLVM 3.8 instead of 3.9 to see if that helps with
    narrowing down the cause of bug #857085.

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Apr 2017 18:46:14 +0200

ldc (1:1.1.1-2) unstable; urgency=medium

  * Always re-bootstrap the new LDC using LDC 0.17.x

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Apr 2017 20:28:06 +0200

ldc (1:1.1.1-1) unstable; urgency=medium

  * New upstream version: 1.1.1

 -- Matthias Klumpp <mak@debian.org>  Fri, 03 Mar 2017 19:48:12 +0100

ldc (1:1.1.0+r-1) unstable; urgency=medium

  * New upstream version: 1.1.0
  * Include runtime/phobos debug libraries in -dev package

 -- Matthias Klumpp <mak@debian.org>  Wed, 01 Feb 2017 16:08:29 +0100

ldc (1:1.1.0+b6-2) unstable; urgency=medium

  * Allow arm64 bootstrap
  * Build with LLVM 3.9
    - Resolves https://github.com/ldc-developers/ldc/issues/1933

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Dec 2016 19:30:54 +0100

ldc (1:1.1.0+b6-1) unstable; urgency=medium

  * New upstream version: 1.1.0+b6
  * Add debian/watch file

 -- Matthias Klumpp <mak@debian.org>  Fri, 09 Dec 2016 20:48:34 +0100

ldc (1:1.1.0+b3-1) unstable; urgency=medium

  * New upstream version: 1.1.0 Beta3

 -- Matthias Klumpp <mak@debian.org>  Sat, 15 Oct 2016 16:24:28 +0200

ldc (1:1.1.0git20161002.78c0d69-3) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Compile without NEON on armhf

  [ Konstantinos Margaritis ]
  * pass-d-compiler-flags.patch: Pass D compiler flags through

 -- Matthias Klumpp <mak@debian.org>  Wed, 05 Oct 2016 18:38:24 +0200

ldc (1:1.1.0git20161002.78c0d69-2) unstable; urgency=medium

  * Don't try to build on armel
    - The LLVM toolchain is broken on armel, so we can not build on
      that architecture at time. See bug #820535.
  * d/rules: Switch to minimal dh style

 -- Matthias Klumpp <mak@debian.org>  Mon, 03 Oct 2016 16:09:14 +0200

ldc (1:1.1.0git20161002.78c0d69-1) unstable; urgency=medium

  * New upstream Git snapshot: 1.1.0git20161002.78c0d69
    - Closes: #839301
  * Refresh patches
  * Update Vcs-* URLs
  * Add gbp.conf
  * Add a few source-package local options
  * d/rules: List missing files on install

 -- Matthias Klumpp <mak@debian.org>  Sun, 02 Oct 2016 14:14:30 +0200

ldc (1:1.1.0git216c112-1) unstable; urgency=medium

  * Development snapshot, remove powerpc until it is fixed, so that we enter
    testing again. (Closes: #833020)
  * Add -fPIC to flags (Closes: #835914)
  * Transfer package to the D team.

 -- Konstantinos Margaritis <markos@debian.org>  Sun, 11 Sep 2016 19:40:40 +0300

ldc (1:1.1.0-2) unstable; urgency=medium

  * Multiarch enable
  * Install includes separately to avoid clash with gdc (Closes: #827211)

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 14 Jul 2016 21:56:46 +0300

ldc (1:1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Removed debug packages, dbgsym packages are provided.

 -- Konstantinos Margaritis <markos@debian.org>  Sat, 09 Jul 2016 20:55:49 +0300

ldc (1:0.17.1-1) unstable; urgency=medium

  * New upstream release

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 24 Mar 2016 23:34:25 +0200

ldc (1:0.17.0~beta2-1) unstable; urgency=medium

  * New upstream release, make it linux-any.

 -- Konstantinos Margaritis <markos@debian.org>  Sun, 31 Jan 2016 15:07:35 +0200

ldc (1:0.15.1-2) experimental; urgency=medium

  * Updated debian/copyright to better reflect current licensing.

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 16 Dec 2014 15:14:00 +0200

ldc (1:0.15.1-1) experimental; urgency=medium

  * New upstream release, added PowerPC architectures (powerpc, ppc64, ppc64le).
    (Closes: #754690)
  * Add lintian-overrides for libphobos2-ldc-debug66 in order to make it
   lintian clean.
  * Changed Recommends: libphobos2-ldc-dev to Depends, otherwise
   apt fails to download it.

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 15 Oct 2014 18:52:04 +0300

ldc (1:0.14.0.dfsg-1) unstable; urgency=medium

  * Remove vcbuild/ files, not useful for a Linux build anyway and non-free.
   Rename version as 0.14.0.dfsg-1. (Closes: #759371)

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 26 Aug 2014 22:50:47 +0300

ldc (1:0.14.0-1) unstable; urgency=medium

   * Just list the supported architectures for now, will add the rest once
    support is properly added, working with upstream to add both kfreebsd and
    powerpc, s390x will follow.
   * Separate phobos2 standard library into separate packages, both static and
    shared libs will be provided.
   * Packaging now kept in git@alioth (Vcs-Git fields updated accordingly,
    Closes: #753967)

 -- Konstantinos Margaritis <markos@debian.org>  Mon, 25 Aug 2014 10:14:15 +0300

ldc (1:0.13.0-1) unstable; urgency=medium

  * New upstream release, that matches dmd 2.064
  * Set /usr/include/dlang/ as install path, to match upstream decision

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 24 Jun 2014 09:52:56 +0300

ldc (0.13.0alpha2-1) unstable; urgency=medium

  * New upstream release
  * Actually change maintainer field in control file
  * Add /usr/include/d/common in the include path, all D external packages will
    be placed there.
  * Also include shared library libldc.so

 -- Konstantinos Margaritis <markos@debian.org>  Sat, 08 Mar 2014 12:03:40 +0200

ldc (0.13.0alpha1-1) unstable; urgency=medium

  * New upstream release. Closes: #726910.
  * New maintainer Closes: #730798.
  * Fixes lots of FTBFS bugs.
    Closes: #625037, #627566, #707372, #654605, #730782.

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 14 Feb 2014 14:19:56 +0200

ldc (0.9.1+hg1634-1) unstable; urgency=low

  * New upstream snapshot:
    - Merge DMD 1.056.
  * debian/patches/06_sh4.diff: Fix build on sh4.  Closes: #560437.
    Thanks to Nobuhiro Iwamatsu.
  * debian/patches/03_ldc-conf.diff: Add /usr/include/d/ldc to include paths.
  * debian/control:
    - Recommends libtango-ldc-dev.  Closes: #561731.
    - Bump Standards-Version to 3.8.4.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 27 Feb 2010 10:55:13 +0000

ldc (0.9.1+hg1596-3) unstable; urgency=low

  * 04_kfreebsd.diff: Add missing hunk to treat kfreebsd-gnu as freebsd.
  * 05_alpha.diff: Port on alpha.

 -- Arthur Loiret <aloiret@debian.org>  Mon, 07 Dec 2009 17:25:49 +0000

ldc (0.9.1+hg1596-2) unstable; urgency=low

  * Link with -Wl,--no-relax on alpha.
  * 04_kfreebsd.diff: Port on kfreebsd-gnu.  Closes: #559350.
    Thanks to Cyril Brulebois <kibi@debian.org> for the patch.
  * debian/ldc.1, debian/ldmd.1: Add manpages.
  * Build in VERBOSE mode.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 05 Dec 2009 15:43:00 +0000

ldc (0.9.1+hg1596-1) unstable; urgency=low

  * Upload to unstable.  Closes: #508070.

 -- Arthur Loiret <aloiret@debian.org>  Thu, 03 Dec 2009 17:33:53 +0000

ldc (0.9.1+hg1596-1~exp1) experimental; urgency=low

  * New upstream snapshot.
    - Merge DMD 1.051.

 -- Arthur Loiret <aloiret@debian.org>  Wed, 02 Dec 2009 17:33:20 +0000

ldc (0.9.1+hg1586-1~exp2) experimental; urgency=low

  * Fix include and library paths in configuration files.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 07 Nov 2009 15:23:50 +0000

ldc (0.9.1+hg1586-1~exp1) experimental; urgency=low

  * Initial release.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 07 Nov 2009 12:10:09 +0000
